### Function

# Fwupd Request kind_to_string

#### Declaration [src]

    const gchar*
    fwupd_request_kind_to_string (
      FwupdRequestKind kind
    )

#### Description [src]

Converts an enumerated update message kind to a string.

Available since: | 1.6.2

#### Parameters

`kind` | `FwupdRequestKind`
| A update message kind, e.g. `FWUPD_REQUEST_KIND_IMMEDIATE`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.